"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _path = require("path");

var isValidUrl = function isValidUrl(string) {
  try {
    new URL(string);
    return true;
  } catch (_) {
    return false;
  }
};

function _default(_ref) {
  var t = _ref.types;
  return {
    visitor: {
      ObjectProperty: function ObjectProperty(path, state) {
        if (t.isIdentifier(path.node.key, {
          name: 'templateUrl'
        })) if (t.isStringLiteral(path.node.value)) {
          var _state$opts = state.opts,
              baseDir = _state$opts.baseDir,
              baseUrl = _state$opts.baseUrl;
          var dir = (0, _path.dirname)(state.file.opts.filename);
          var templateUrl = path.node.value.value;

          if (!isValidUrl(templateUrl)) {
            var absolutePath = (0, _path.resolve)(dir, templateUrl);
            var url = baseUrl + absolutePath.replace((0, _path.resolve)(baseDir), '');
            path.node.value = t.stringLiteral(url);
          }
        }
      }
    }
  };
}

;